#include <stdio.h>

typedef struct {
    const char *name;
    char *val;
} Options;

Options cmd[] = {
    {"squidlog", "access.log"},
    {"config", "trafficd.conf"},
    {NULL, NULL}
};

char *OptionGetVal(Options *opt, const char *name) {
    int i=0;
    while (opt[i].name) {
       if (!strcmp(name,opt[i].name))
          return(opt[i].val);
       i++;
    }
    return NULL;
}

int main() {
    printf("squidlog=%s\n", OptionGetVal(cmd, "squidlog"));
    return 0;
}